Bug 60652 - Kickstart fails when floppy is write-protected
Kickstart fails when floppy is write-protected
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-04 03:51 EST by Nick (Gunnar) Bluth
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 18:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick (Gunnar) Bluth 2002-03-04 03:51:23 EST
Description of Problem:
Trying to do an installation from bootable CD fails when the floppy containing the ks.cfg 
is write protected (CD uses a boot.img with modified syslinux.cfg).
It seems that anaconda just mount()s, but stumbles over the "mounting read.only"-exit-code.

Version-Release number of selected component (if applicable):
anaconda-7.1-5
Did not have the time to check other releases...

How Reproducible:
Always.

Steps to Reproduce:
1. Get an entry with "ks=hd:fd0/ks.cfg.xxx" into syslinux.cfg on the CD-bootimage
2. Boot, and select the entry

Actual Results:
Kickstart fails

Expected Results:
Kickstarts works ;-)

Additional Information:
Error disappeares when write protection is removed from the floppy.

Took me some time and some walks. Luckily, the mistake happened before
I gave that CD to the NT admins in the other locations...

Guess anaconda should just mount RO, and the problem would disappear.
Does it need write access?
Comment 1 Jeremy Katz 2002-03-04 15:41:31 EST
No reason I can think of to not mount read-only by default
Comment 2 Jeremy Katz 2002-03-05 16:50:39 EST
Note that you can also use ks=floppy which does do read-only mounts

But, I've also modified things in CVS so hard drive mounts for kickstart files
are read-only by default.
Comment 3 Nick (Gunnar) Bluth 2002-03-06 01:42:23 EST
Yup, that's clear.... It's just, I've got about 20 different ks.cfg.<hostname> 's on that 
floppy, for a bunch of cluster servers to be (re-)installed in case of HW failure.

Note You need to log in before you can comment on or make changes to this bug.